<?php
/*
===========================
Kasutaja paneel
"Minu pakkumised" vaade
===========================
*/
include 'config.php';
session_start();
include_once ROOT . 'db/dbconfig.php';
require_once ROOT . 'admin/objects/kasutaja.class.php';
$user_home = new Kasutaja();
include ROOT . "header.php";

$database = new Database();
$db = $database->dbConnection();

$kasutaja = $_SESSION['userSession'];

// Viimase pakkuja ID pärimine
function viimanePakkuja($oksjoni_id){
    $database = new Database();
    $db = $database->dbConnection();
    $sql = "SELECT kasutaja_id FROM pakkumised WHERE oksjoni_id = $oksjoni_id ORDER BY summa DESC LIMIT 0,1";
    $stmt = $db->query($sql);
    $row = $stmt->fetch(PDO::FETCH_ASSOC);
    return $row["kasutaja_id"];
}

function kasAutomaat($oksjoni_id, $summa){
    // Kas pakkumine on automaatpakkumine?
    $database = new Database();
    $db = $database->dbConnection();
    $sql = "SELECT automaat FROM pakkumised WHERE oksjoni_id = $oksjoni_id AND summa = $summa LIMIT 0,1";
    $stmt = $db->query($sql);
    $row = $stmt->fetch(PDO::FETCH_ASSOC);
    return $row["automaat"];
}

?>


<div class="container">
    <div class="row">

        <?php
        include "kasutaja-nav.php";
        ?>

        <div class="col-md-9">
         <h3 class="decorated"><span>Aktiivsed pakkumised</span></h3><br />

         <?php
           // Loeme kõik aktiivsetele internetioksjonitele tehtud pakkumised
         $sql = "SELECT oksjonid.id, nimi, hetkehind, max(summa), lopuaeg FROM oksjonid, pakkumised WHERE oksjonid.id = pakkumised.oksjoni_id AND pakkumised.kasutaja_id = $kasutaja AND now() < lopuaeg GROUP BY oksjonid.id ORDER BY lopuaeg ASC";

           // Kuvame andmed tabelisse
         echo "<br/><table class='table table-hover table-responsive table-bordered'>";
         echo "<tr>";
         echo "<th width='10%'>ID</th>";
         echo "<th>Nimi</th>";
         echo "<th>Lõpuaeg</th>";
         echo "<th width='30%'><center>Summa</center></th>";
         echo "</tr>";
         foreach ($db->query($sql) as $row) {
            echo "<tr>";
            echo "<td>".$row["id"]."</td>";
            echo "<td><a href='".HTTP."internetioksjon/oksjon.php?id=".$row["id"]."'>".$row["nimi"]."</a></td>";

            echo "<td>".$row["lopuaeg"]."</td>";
            echo "<td><center>";

            if(viimanePakkuja($row["id"]) == $kasutaja){
                    // Juhtiv pakkuja.
                if (kasAutomaat($row["id"], $row["max(summa)"]) == 1){
                    // Automaatpakkumine.
                    echo "Automaatpakkumine: <b>".$row["max(summa)"]."€</b>". "<br/>Hetkehind: <b>".$row["hetkehind"]."€</b><br/><span class='label label-success'>Juhtiv pakkumine</span>";
                } else {
                    // Tavapakkumine.
                    echo "Pakkumine: <b>".$row["max(summa)"]."€</b><br/><span class='label label-success'>Juhtiv pakkumine</span>";
                }
            } else {
                if (kasAutomaat($row["id"], $row["max(summa)"]) == 1){
                    // Automaatpakkumine.
                    echo "Automaatpakkumine: <b>".$row["max(summa)"]."€</b>". "<br/>Hetkehind: <b>".$row["hetkehind"]."€</b><br/><span class='label label-danger'>Ülepakutud</span>";
                } else {
                    // Tavapakkumine.
                    echo "Pakkumine: <b>".$row["max(summa)"]."€</b><br/><span class='label label-danger'>Ülepakutud</span>";
                }
            }

            echo "</center></td>";
            echo "</tr>";
        }
        echo "</table>";
        ?>

        <br/><h3 class="decorated"><span>Möödunud pakkumised</span></h3><br />

        <?php
        // Loeme kõik lõppenud internetioksjonitele tehtud pakkumised
        $sql = "SELECT oksjonid.id, nimi, hetkehind, max(summa), lopuaeg FROM oksjonid, pakkumised WHERE oksjonid.id = pakkumised.oksjoni_id AND pakkumised.kasutaja_id = $kasutaja AND now() > lopuaeg GROUP BY oksjonid.id ORDER BY lopuaeg DESC";
        // Kuvame andmed tabelisse
        echo "<br/><table class='table table-hover table-responsive table-bordered'>";
        echo "<tr>";
        echo "<th width='10%'>ID</th>";
        echo "<th>Nimi</th>";
        echo "<th>Lõpuaeg</th>";
        echo "<th width='30%'><center>Summa</center></th>";
        echo "</tr>";
        foreach ($db->query($sql) as $row) {
            echo "<tr>";
            echo "<td>".$row["id"]."</td>";
            echo "<td><a href='".HTTP."internetioksjon/oksjon.php?id=".$row["id"]."'>".$row["nimi"]."</a></td>";
            echo "<td>".$row["lopuaeg"]."</td>";
            echo "<td><center>";
            if(viimanePakkuja($row["id"]) == $kasutaja){
                    // Juhtiv pakkuja.
                if (kasAutomaat($row["id"], $row["max(summa)"]) == 1){
                    // Automaatpakkumine.
                    echo "Automaatpakkumine: <b>".$row["max(summa)"]."€</b>". "<br/>Hetkehind: <b>".$row["hetkehind"]."€</b><br/><span class='label label-success'>Võidetud oksjon</span>";
                } else {
                    // Tavapakkumine.
                    echo "Pakkumine: <b>".$row["max(summa)"]."€</b><br/><span class='label label-success'>Võidetud oksjon</span>";
                }
            } else {
                if (kasAutomaat($row["id"], $row["max(summa)"]) == 1){
                    // Automaatpakkumine.
                    echo "Automaatpakkumine: <b>".$row["max(summa)"]."€</b>". "<br/>Hetkehind: <b>".$row["hetkehind"]."€</b><br/><span class='label label-danger'>Kaotatud oksjon</span>";
                } else {
                    // Tavapakkumine.
                    echo "Pakkumine: <b>".$row["max(summa)"]."€</b><br/><span class='label label-danger'>Kaotatud oksjon</span>";
                }
            }
            echo "</center></td>";
            echo "</tr>";
        }
        echo "</table><br/>";
        ?>

    </div>
</div>
</div>

<?php
include ROOT . "footer.php";
?>